using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Advent.aiDevices;

namespace Advent.Controls
{
    public partial class AI7280Status : Advent.Controls.StatusCtrl
    {
        AI7280_CO_Simulator.StatusManager Status;


        public AI7280Status()
        {
            InitializeComponent();
        }

        public void SetStatus(AI7280_CO_Simulator.StatusManager Status)
        {
            this.Status = Status;
        }


        protected override void timer_Update_Tick(object sender, EventArgs e)
        {
            try
            {
                UpdateBasicMeasurements(Status.MeterLevel, Status.MeterFrequency, Status.LineVoltage, Status.LoopCurrent);
                UpdateLineState(Status.LineState,Status.IsRinging);
            }
            catch { }
        }


    }
}
